;;; init-elpa.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
;;; Find and load the correct package.el
;; =====================================================
;; use-package → https://github.com/jwiegley/use-package
;; =====================================================
(require 'package)

;; Repositories
;; ================
(setq package-archives
      '(("melpa" . "https://melpa.org/packages/")
        ;;("melpa-stable" . "https://stable.melpa.org/packages/")
        ("gnu" . "https://elpa.gnu.org/packages/")
        ("org" . "https://orgmode.org/elpa/")))

(setq package-archive-priorities
      '(("melpa" . 4)
        ("melpa-stable" . 0)
        ("gnu" . 1)
        ("org" . 3)))
;; =================
(package-initialize)

(unless (package-installed-p 'use-package)
  (package-refresh-contents)
  (package-install 'use-package))

(require 'use-package)
(setq use-package-always-ensure t)
;; =====================================================
;; End use-package
;; =====================================================

(provide 'init-elpa)

;; End:
;;; init-elpa.el ends here
