;;; init-modeline.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
;;----------------------------------------------------------------------------
;; Modeline configuration
;;----------------------------------------------------------------------------

(use-package smart-mode-line)
(use-package smart-mode-line-powerline-theme)
(use-package sml-modeline
  :config
  ;; Show number of occurrences when searching
  (setq sml/theme 'powerline)

  (setq sml/no-confirm-load-theme t)
  (setq sml/shorten-modes t)
  ;; Show EOL mode
  (setq sml/show-eol t)
  ;; Show remote buffers
  (setq sml/show-remote t)

  (sml/setup)
  (add-to-list 'sml/replacer-regexp-list '("^~/Proyectos/git/" ":Git:") t)
  (add-to-list 'sml/replacer-regexp-list '("^~/www/" ":www:") t)

  (sml-modeline-mode t))
(use-package anzu
  :config
  (custom-set-variables
   '(anzu-search-threshold 1000)
   '(anzu-replace-threshold 1000)
   '(anzu-deactivate-region t)
   '(anzu-input-idle-delay 0.1)
   '(anzu-replace-to-string-separator " => "))
  (global-anzu-mode +1)
  (set-face-attribute 'anzu-mode-line nil
                      :foreground "yellow" :weight 'bold)

  (define-key isearch-mode-map [remap isearch-query-replace]  #'anzu-isearch-query-replace)
  (define-key isearch-mode-map [remap isearch-query-replace-regexp] #'anzu-isearch-query-replace-regexp)

  ;;----------------------------------------------------------------------------
  ;; Keyboard shortcuts in Anzu Mode
  ;;----------------------------------------------------------------------------
  (global-set-key (kbd "M-%") 'anzu-query-replace)
  (global-set-key (kbd "s-<SPC>") 'anzu-query-replace))

(load-file "~/.emacs.d/modules/lib/myemacs.el")
(provide 'init-modeline)

;; End:
;;; init-modeline.el ends here
